<?php
if (!defined('BLOCK_FILE')) {
	Header("Location: ../index.php");
	exit;
}
// block-My_Files_Cat_all - выводит все категории файлов в одну колонку в виде меню. 
// От "SHADOW" ICQ: 9535600 
// Работает на движке v4.X 

global $prefix, $db, $homeurl;
// начало настроек
//-----------------------------------------------------------
//название картинки (иконки в блоке)
$small_img="files_map";
$i="0";
$mod="files";
$where = "WHERE modul='$mod'";
$tab=1;
$tdwidth = intval(100/$tab);
$sub = 1;
$id = "0";
//-----------------------------------------------------------
// конец настроек
$content .= "<table summary=\"\" border=\"0\" cellspacing=\"0\" cellpadding=\"10\" align=\"center\"><tr>";
	$result_cat = $db->sql_query("SELECT id, title, description, img, parentid FROM ".$prefix."_categories ".$where." ORDER BY title");
	if ($db->sql_numrows($result_cat) > 0) {
	while (list($cid, $title, $description, $img, $parentid) = $db->sql_fetchrow($result_cat)) {
			$massiv[] = array($cid, $title, $description, $img, $parentid);
		}
		if ($massiv) {
			$a = 0;
			foreach ($massiv as $val) {
				if ($val[4] == $id) {
					if ($a == 0) {
						$catid = $val[0];
						$a++;
					} else {
						$catid .= ",".$val[0];
					}
					$content .= "<td valign=\"top\" width=\"".$tdwidth."%\"><table summary=\"\" width=\"100%\" border=\"0\"><tr><td><a href=\"index.php?name=$mod&amp;cat=$val[0]\" title=\"$val[1]\"><img src=\".img_find("all/$small_img")."\" border=\"0\" title=\"".$val[1]."\" alt=\"\"/></a></td><td width=\"100%\"><a href=\"index.php?name=$mod&amp;cat=$val[0]\" title=\"$val[1]\"><b>$val[1]</b></a></td></tr>";
					foreach ($massiv as $val2) {
						if ($val[0] == $val2[4]) {
							$catid .= ",".$val2[0];
							if ($sub == 1) $content .= "<tr><td colspan=\"2\"><img border=\"0\" src=\"".img_find("misc/navi")."\" title=\"$val2[1]\" alt=\"\"/> <a href=\"index.php?name=$mod&amp;cat=$val2[0]\" title=\"$val2[1]\">$val2[1]</a></td></tr>";
						}
					}
					$content .= "</table></td>";
					if ($cont == ($tab - 1)) {
						$content .= "</tr><tr>";
						$cont = 0;
					} else {
						$cont++;
					}
				}
			}
		}
	$content .="</tr></table>";
	} else {	
	$content .= "ERROR";
	}

?>